#
# spec file for package python-pysaml2
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Test reqs are heavy, thus only have it on demand:
%bcond_with tests 

Name:           python-pysaml2
Version:        2.4.0
Release:        5.5
Summary:        Python implementation of SAML Version 2 to be used in a WSGI environment
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/rohe/pysaml2
Source:         https://pypi.python.org/packages/source/p/pysaml2/pysaml2-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
%if %{with tests}
BuildRequires:  python-M2Crypto
BuildRequires:  python-decorator
BuildRequires:  python-mako
BuildRequires:  python-mongodict
BuildRequires:  python-pyasn1
BuildRequires:  python-pymongo
BuildRequires:  python-pytest
BuildRequires:  python-python-memcached
BuildRequires:  python-repoze.who
BuildRequires:  python-requests >= 1.0.0
%endif
%if 0%{?suse_release}
# NOTE(saschpe): xmlsec has a lot of deps and some issues, thus not require it:
Recommends:     python-xmlsec
%endif
Requires:       python-M2Crypto
Requires:       python-Paste
Requires:       python-argparse
Requires:       python-dateutil
Requires:       python-decorator
Requires:       python-pyOpenSSL
Requires:       python-pycrypto >= 2.2
Requires:       python-pytz
Requires:       python-repoze.who
Requires:       python-requests >= 1.0.0
Requires:       python-zope.interface
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
PySAML2 should be compatible with any python >= 2.6 not 3.X yet.
To be able to sign/verify, encrypt/decrypt you need xmlsec1.
The repoze stuff works best together with repoze.who .

%prep
%setup -q -n pysaml2-%{version}
sed -i "s/python-memcached == 1.51/python-memcached/" setup.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%if %{with tests}
%check
python setup.py test
%endif

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/make_metadata.py
%{_bindir}/parse_xsd2.py
%{_bindir}/mdexport.py
%{_bindir}/merge_metadata.py
%{python_sitelib}/pysaml2-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/s2repoze
%{python_sitelib}/saml2
%{python_sitelib}/xmldsig
%{python_sitelib}/xmlenc

%changelog
* Tue Oct 13 2015 dmueller@suse.com
- add pycrypto/pyOpenSSL dependency (bsc#958514)
* Tue Sep  1 2015 tbechtold@suse.com
- Move python-repoze.who from Recommends to Requires. It's needed.
* Thu Jul 30 2015 tbechtold@suse.com
- Add missing Requires
* Thu Jul 16 2015 seife+obs@b1-systems.com
- fix build on non-SUSE distributions whose rpm does not know
  "Recommends"
* Wed Jun 10 2015 dmueller@suse.com
- update to 2.4.0:
  * A couple of security fixes plus maintenance updates.
* Tue Oct 15 2013 speilicke@suse.com
- Initial version
